## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global pypi_name podman
%global desc %{pypi_name} is a library of bindings to use the RESTful API for Podman.

%global built_tag v4.0.0
%global built_tag_strip %(b=%{built_tag}; echo ${b:1})
%global gen_version %(b=%{built_tag_strip}; echo ${b/-/"~"})

Name: python-%{pypi_name}
Epoch: 3
Version: %{gen_version}
Release: %autorelease
Summary: RESTful API for Podman
License: ASL 2.0
URL: https://github.com/containers/%{pypi_name}-py
Source0: %{url}/releases/download/%{built_tag}/%{pypi_name}-%{version}.tar.gz
BuildArch: noarch

%description 
%desc

%package -n python%{python3_pkgversion}-%{pypi_name}
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel
BuildRequires: git-core
Provides: %{pypi_name}-py = %{version}-%{release}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%desc

%prep
%autosetup -Sgit_am -n %{pypi_name}-%{built_tag_strip}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
export PBR_VERSION="0.0.0"
%pyproject_wheel

%install
export PBR_VERSION="0.0.0"
%pyproject_install
%pyproject_save_files %{pypi_name}

%check

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:4.0.0-1
- bump to v4.0.0

* Thu Jan 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.2.1-3
- switch to autospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3:3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 3:3.2.1-1
- python-podman-3:3.2.1-1

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.2.0-2
- update build dir

* Mon Aug 16 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 3:3.2.0-1
- python-podman-3:3.2.0-1

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-4
- update build url format

* Thu Aug 12 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-3
- update macros for rhcontainerbot autobuilds

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 3:3.1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 09 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 3:3.1.2.4-1
- python-podman-3:3.1.2.4-5
